Page MenuHomePhabricator

Update all repositories that use mediawiki_selenium Ruby gem to version 1.6.5
Closed, ResolvedPublic

Description

1.6.5 fixes links to Sauce Labs jobs.

Only repositories that have jobs here: https://integration.wikimedia.org/ci/view/BrowserTests/view/-All/

Update instructions: https://phabricator.wikimedia.org/diffusion/MSEL/browse/master/UPGRADE.md

RepositoryVersionSauce Labs
mediawiki1.6.5
mediawiki/selenium1.6.4
CentralAuth1.6.5
CentralNotice1.6.3
CirrusSearch1.6.3
ContentTranslation1.6.2
Echo1.6.3
Flow1.6.3
Gather1.6.3
GettingStarted1.6.2
Math1.6.3
MobileFrontend1.6.3
MultimediaViewer1.6.4/1.6.5
PageTriage1.6.2
PdfHandler1.6.5
QuickSurveys1.6.3
RelatedArticles1.6.3
Translate1.6.2
TwnMainPage1.6.2
UniversalLanguageSelector1.6.2
UploadWizard1.6.3
VisualEditor1.6.3
WikidataBrowserTests1.6.2
WikiLove1.6.3
ZeroPortal1.6.5

Everything is updated except Gather and MobileFrontend. I am stuck. I am having trouble reproducing the problem on my machine. The scenarios are failing, but with different error messages, and for a good reason (page elements not displayed). I have used an up to date mediawiki-vagrant to run the tests locally.

I am stuck and I need help.

Gather: https://gerrit.wikimedia.org/r/#/c/268154/
MobileFrontend: https://gerrit.wikimedia.org/r/#/c/268158/

Details

Related Gerrit Patches:
mediawiki/extensions/Gather : masterUpdate mediawiki_selenium Ruby gem to version 1.6.5
mediawiki/extensions/MobileFrontend : masterUpdate mediawiki_selenium Ruby gem to version 1.6.5
mediawiki/extensions/CentralNotice : masterUpdate mediawiki_selenium Ruby gem to version 1.6.5
mediawiki/extensions/Math : masterUpdate mediawiki_selenium Ruby gem to version 1.6.5
mediawiki/extensions/Echo : masterUpdate mediawiki_selenium Ruby gem to version 1.6.5
mediawiki/extensions/VisualEditor : masterUpdate mediawiki_selenium Ruby gem to version 1.6.5
mediawiki/extensions/WikiLove : masterUpdate mediawiki_selenium Ruby gem to version 1.6.5
mediawiki/extensions/Flow : masterUpdate mediawiki_selenium Ruby gem to version 1.6.5
mediawiki/extensions/PageTriage : masterUpdate mediawiki_selenium Ruby gem to version 1.6.5
mediawiki/extensions/GettingStarted : masterUpdate mediawiki_selenium Ruby gem to version 1.6.5
mediawiki/extensions/CirrusSearch : masterUpdate mediawiki_selenium Ruby gem to version 1.6.5
mediawiki/extensions/QuickSurveys : masterUpdate mediawiki_selenium Ruby gem to version 1.6.5
mediawiki/extensions/UploadWizard : masterUpdate mediawiki_selenium Ruby gem to version 1.6.5

Event Timeline

zeljkofilipin claimed this task.
zeljkofilipin raised the priority of this task from to Medium.
zeljkofilipin updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2016, 4:36 PM
zeljkofilipin updated the task description. (Show Details)Feb 2 2016, 4:38 PM
zeljkofilipin set Security to None.
zeljkofilipin updated the task description. (Show Details)Feb 2 2016, 5:11 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)Feb 3 2016, 3:53 PM
zeljkofilipin updated the task description. (Show Details)Feb 3 2016, 3:55 PM
zeljkofilipin moved this task from Inbox to In Progress on the Browser-Tests-Infrastructure board.
zeljkofilipin updated the task description. (Show Details)Feb 3 2016, 4:02 PM
zeljkofilipin updated the task description. (Show Details)Feb 3 2016, 4:33 PM
zeljkofilipin updated the task description. (Show Details)Feb 3 2016, 4:37 PM
zeljkofilipin updated the task description. (Show Details)Feb 3 2016, 4:42 PM
zeljkofilipin updated the task description. (Show Details)

Change 268150 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268150

Change 268151 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268151

Change 268152 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268152

Change 268153 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268153

Change 268154 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268154

Change 268155 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268155

Change 268157 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268157

Change 268158 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268158

Change 268160 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268160

Change 268161 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268161

Change 268162 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268162

Change 268166 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268166

Change 268169 had a related patch set uploaded (by Zfilipin):
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268169

Change 268161 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268161

Can you update extension MathSearch as well?

Change 268162 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268162

Can you update extension MathSearch as well?

@Physikerwelt: as far as I can see, MathSearch does not have browser tests (tests/browser):

https://phabricator.wikimedia.org/diffusion/EMAS/

Change 268151 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268151

Change 268155 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268155

Physikerwelt added a comment.EditedFeb 3 2016, 5:37 PM

@zeljkofilipin Ah sorry, I was about to delete my stupid comment. Browser tests are something I wanted to implement, but I never manged to get it done.

Can you update extension MathSearch as well?

@Physikerwelt: as far as I can see, MathSearch does not have browser tests (tests/browser):
https://phabricator.wikimedia.org/diffusion/EMAS/

Change 268153 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268153

Change 268160 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268160

Change 268166 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268166

Change 268169 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268169

Change 268152 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268152

Change 268157 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268157

Change 268150 merged by Ejegg:
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268150

zeljkofilipin updated the task description. (Show Details)Feb 4 2016, 2:43 PM
zeljkofilipin updated the task description. (Show Details)Feb 4 2016, 2:46 PM

Change 268158 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268158

Change 268154 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to version 1.6.5

https://gerrit.wikimedia.org/r/268154

zeljkofilipin closed this task as Resolved.Feb 9 2016, 6:50 PM